org.tmatesoft.svn.core.wc

## Class SVNConflictResult

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNConflictResult

-     public class SVNConflictResult
      extends java.lang.Object

  The SVNConflictResult represents the decision of the user's `conflict handler` regarding a conflict situation.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNConflictResult(SVNConflictChoice conflictChoice, java.io.File mergedFile)` Creates a new `SVNConflictChoice` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SVNConflictChoice` | `getConflictChoice()` Returns the conflict handler's choice.
    `java.io.File` | `getMergedFile()` Returns the file with the merge result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNConflictResult

          public SVNConflictResult(SVNConflictChoice conflictChoice,
                           java.io.File mergedFile)

      Creates a new `SVNConflictChoice` object.
      Parameters:
        `conflictChoice` - way that the conflict should be resolved in
        `mergedFile` - file containing the merge result

  - ### Method Detail

    - #### getConflictChoice

          public SVNConflictChoice getConflictChoice()

      Returns the conflict handler's choice. This way implementor can manage conflicts providing a choice object defining what to do with the conflict.
      Returns:
        conflict choice

    - #### getMergedFile

          public java.io.File getMergedFile()

      Returns the file with the merge result.

      Usually this will be the `result file` obtained by the user's `conflict handler` from the `description`'s `merge file set` object.
      Returns:
        merged file

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.